curl --request POST \
--url https://api.pubrio.com/companies/lookalikes/search \
--header 'Content-Type: application/json' \
--header 'pubrio-api-key: <api-key>' \
--data '
{
"domain_search_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locations": [
"US",
"SG",
"CN"
],
"exclude_locations": [
"CN",
"US",
"RU",
"CA"
],
"technologies": [
123
],
"categories": [
123
],
"verticals": [
123
],
"vertical_categories": [
123
],
"vertical_sub_categories": [
123
],
"domain": "pubrio.com",
"linkedin_url": "https://www.linkedin.com/company/pubrio",
"employees": [
[
1,
10
],
[
11,
20
],
[
10001
]
],
"founded_dates": [
2018,
2024
],
"revenues": [
0,
100000
],
"job_locations": [
"US",
"SG",
"CN"
],
"job_posted_dates": [
"2025-01-01",
"2025-01-10"
],
"job_titles": [
"sales manager",
"marketing manager"
],
"news_categories": [
"launches"
],
"news_published_dates": [
"2025-01-01",
"2025-01-10"
],
"is_enable_similarity_search": true,
"similarity_score": 0.7,
"per_page": 25,
"page": 1,
"profile_id": 123
}
'import requests
url = "https://api.pubrio.com/companies/lookalikes/search"
payload = {
"domain_search_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locations": ["US", "SG", "CN"],
"exclude_locations": ["CN", "US", "RU", "CA"],
"technologies": [123],
"categories": [123],
"verticals": [123],
"vertical_categories": [123],
"vertical_sub_categories": [123],
"domain": "pubrio.com",
"linkedin_url": "https://www.linkedin.com/company/pubrio",
"employees": [[1, 10], [11, 20], [10001]],
"founded_dates": [2018, 2024],
"revenues": [0, 100000],
"job_locations": ["US", "SG", "CN"],
"job_posted_dates": ["2025-01-01", "2025-01-10"],
"job_titles": ["sales manager", "marketing manager"],
"news_categories": ["launches"],
"news_published_dates": ["2025-01-01", "2025-01-10"],
"is_enable_similarity_search": True,
"similarity_score": 0.7,
"per_page": 25,
"page": 1,
"profile_id": 123
}
headers = {
"pubrio-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'pubrio-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain_search_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
locations: ['US', 'SG', 'CN'],
exclude_locations: ['CN', 'US', 'RU', 'CA'],
technologies: [123],
categories: [123],
verticals: [123],
vertical_categories: [123],
vertical_sub_categories: [123],
domain: 'pubrio.com',
linkedin_url: 'https://www.linkedin.com/company/pubrio',
employees: [[1, 10], [11, 20], [10001]],
founded_dates: [2018, 2024],
revenues: [0, 100000],
job_locations: ['US', 'SG', 'CN'],
job_posted_dates: ['2025-01-01', '2025-01-10'],
job_titles: ['sales manager', 'marketing manager'],
news_categories: ['launches'],
news_published_dates: ['2025-01-01', '2025-01-10'],
is_enable_similarity_search: true,
similarity_score: 0.7,
per_page: 25,
page: 1,
profile_id: 123
})
};
fetch('https://api.pubrio.com/companies/lookalikes/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pagination": {
"page": 1,
"per_page": 25,
"total_entries": 45234700,
"total_pages": 1809388
},
"companies": [
{
"logo_url": "https://buckets.pubrio.com/company-logo/MjI0NDc1OTMxaWxqOXNzbmoxdHdpdHRlci5jb20=.jpg",
"company_name": "Twitter",
"emails": [
"..."
],
"phones": [
"..."
],
"contacts": [
"..."
],
"founded_year": 2006,
"specialties": [
"Software Development"
],
"industry": "Software Development",
"domain": "twitter.com",
"domain_search_id": "61a73da7-2efc-41a5-a252-a8a8df29925a",
"domain_id": 224475931,
"linkedin_company_id": 44005587,
"linkedin_name": "twitter",
"is_company_url_active": true,
"domain_ids": [
224475931,
1758889566,
368242865
],
"company_keywords": [
"realtime information",
"social commerce",
"online shopping",
"classifieds",
"craigslist killers",
"e-commerce",
"killers",
"consumer internet",
"internet",
"information technology",
"edp services",
"technology",
"software development",
"microblogging",
"social networking",
"public conversation",
"user engagement",
"content sharing",
"advertising solutions",
"monetization",
"community building",
"digital wallet",
"ai integration",
"user safety"
],
"company_size": 1500,
"youtube_url": null,
"crunchbase_url": null,
"linkedin_url": "http://www.linkedin.com/company/twitter",
"instagram_url": null,
"facebook_url": "http://facebook.com/twitterinc",
"twitter_url": "https://twitter.com/x",
"github_url": null,
"x_url": null,
"location": "United States",
"company_ranking": null,
"company_url": "http://twitter.com",
"saved_lists": null,
"company_size_printed": "1,500"
},
"..."
]
}
}{
"code": 40001,
"message": "错误及代码会根据不同场景有所不同,详情请参阅文档。",
"details": {}
}{
"error": "请求频率超出限制。请稍后再试。"
}{
"error": "服务器在处理请求时遇到了未预料的异常。"
}同类公司检索
已弃用。 请改用 POST /companies/search/similar — 数据相同,请求体相同。
根据公司特征和技术属性,查找与指定目标公司相似的公司。
请求体
- Domain Search ID
- 域名
- LinkedIn URL
用于公司检索操作的唯一标识符。
ISO 3166-1 alpha-2(cca2)用于筛选地区。更多信息请参见筛选器标签下的 location 端点。
["US", "SG", "CN"]
ISO 3166-1 alpha-2(cca2)用于筛选不需要返回的地区。更多信息请参见筛选器标签下的 location 端点。
["CN", "US", "RU", "CA"]
tag_id 列表,用于搜索公司所用的特定技术。要获取ID,请调用筛选器标签下的 technology 端点。
该筛选器支持 is_enable_similarity_search,启用后可输入任意自由文本,例如 ["Shopify"]。
category_id 列表,用于搜索公司所用的特定技术类别。要获取ID,请调用筛选器标签下的 category 端点。
该筛选器支持 is_enable_similarity_search,启用后可输入任意自由文本,例如 ["CDN"]。
vertical_id 列表,用于搜索特定垂直行业或领域的公司。要获取ID,请调用筛选器标签下的 vertical 端点。
该筛选器支持 is_enable_similarity_search,启用后可输入任意自由文本,例如 ["AI"]。
vertical_category_id 列表,用于搜索特定垂直行业类别的公司。要获取ID,请调用筛选器标签下的 vertical category 端点。
该筛选器支持 is_enable_similarity_search,启用后可输入任意自由文本,例如 ["Information Technology"]。
vertical_sub_category_id 列表,用于搜索特定垂直行业子类别的公司。要获取ID,请调用筛选器标签下的 vertical sub category 端点。
该筛选器支持 is_enable_similarity_search,启用后可输入任意自由文本,例如 ["Software"]。
用于公司检索操作的公司域名。如果收到的地址为 www.pubrio.com 或 https://docs.pubrio.com/,系统会自动转换为 pubrio.com 进行处理。
"pubrio.com"
LinkedIn 公司主页的完整 URL。URL 需以 http 开头且包含 linkedin.com/company/。
"https://www.linkedin.com/company/pubrio"
公司员工人数范围。可根据员工总数筛选公司,并可添加多个范围以扩展搜索结果。
更多信息请参见筛选器标签下的 company size 端点。
[[1, 10], [11, 20], [10001]]
公司成立年份范围。最大值为当前年份。
[2018, 2024]
公司收入的最小值和最大值范围。
[0, 100000]
ISO 3166-1 alpha-2(cca2)用于筛选地区。更多信息请参见筛选器标签下的 location 端点。
["US", "SG", "CN"]
发布日期的时间范围。最大值为当天。
["2025-01-01", "2025-01-10"]
与目标人员相关的职位名称。
结果还将包含包含类似术语的职位,即使不完全匹配。例如,搜索 software engineer 也可能返回职位为 senior software engineer 的人员。
["sales manager", "marketing manager"]
category slugs 列表,用于搜索特定新闻类别。要获取 slug,请调用筛选器标签下的 news categories 端点。
["launches"]
发布时间的时间范围。最大值为当天。
["2025-01-01", "2025-01-10"]
启用后,上述支持相似度搜索的筛选器可直接填写自由文本以检索特定ID。
需与 is_enable_similarity_search 配合使用。该数值用于分析特定 slug(如行业、技术)与用户输入的相似程度,数值越高,匹配越严格。
0.7
每页应返回的搜索结果数量。限制每页结果数量可提升接口性能。
25
要检索的数据页码。
1
可选。发起请求的团队标识符。由于 API 密钥已包含您的工作区信息,此参数不再是必填项。如果提供,该 ID 有助于将查找与特定团队(工作区)关联,实现数据检索和额度追踪。
更多信息请参见团队标签下的 user details 端点。
响应
包含相关详细信息的成功响应。
响应信息取决于具体接口。

